#include <bits/stdc++.h>
using namespace std;
using ll = long long;
vector<int> solve(vector<int>  v){
    int n = v.size();
    vector<int> ans;
    vector<pair<int,int>> g;
    for(int i = 0; i < n; i++){
        g.push_back({v[i],i});
    }
    sort(g.begin();g.end());
    if(n%2 == 1){
        for(ll i = 0; i <= n/2; i++){
            ans.push_back(g[2*i].second);
        }
        for(ll i = 0; i < n/2; i++){
            ans.push_back(g[2*i+1].second);
        }
        return ans;
    }
    for(ll i = 0; i < n/2; i++){
        ans.push_back(g[2*i].second);
    }
    for(ll i = 0; i < n/2; i++){
        ans.push_back(g[2*i+1].second);
    }
    return ans;
}
